Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.js.ajax
Class AbstractAjaxHandler

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.js.ajax.AbstractAjaxHandler

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware, AjaxHandler, org.springframework.web.context.ServletContextAware

Direct Known Subclasses:
  JsfAjaxHandler, RichFacesAjaxHandler, SpringJavascriptAjaxHandler

    public abstract class AbstractAjaxHandler

extends org.springframework.web.context.support.WebApplicationObjectSupport
implements AjaxHandler

Field Summary

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Constructor Summary
`AbstractAjaxHandler(AbstractAjaxHandler delegate)`

Method Summary
`boolean` | `isAjaxRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Is the current request an Ajax request?
`protected abstract boolean` | `isAjaxRequestInternal(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `sendAjaxRedirect(java.lang.String targetUrl, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean popup)` Send a redirect request to the Ajax client.
`protected abstract void` | `sendAjaxRedirectInternal(java.lang.String targetUrl, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean popup)`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAjaxHandler

    public AbstractAjaxHandler(AbstractAjaxHandler delegate)

Method Detail

### isAjaxRequest

    public final boolean isAjaxRequest(javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response)

  Description copied from interface: `AjaxHandler`
  Is the current request an Ajax request?

  Specified by:
    `isAjaxRequest` in interface `AjaxHandler`
  Parameters:
    `request` - the current request
    `response` - the current response

### sendAjaxRedirect

    public final void sendAjaxRedirect(java.lang.String targetUrl,
                                       javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response,
                                       boolean popup)
                                throws java.io.IOException

  Description copied from interface: `AjaxHandler`
  Send a redirect request to the Ajax client. This should cause the client-side agent to send a new request to the specified target url.

  Specified by:
    `sendAjaxRedirect` in interface `AjaxHandler`
  Parameters:
    `targetUrl` - the target url to redirect to
    `request` - the current request
    `response` - the current response
    `popup` - wheter the redirect should be sent from a new popup dialog window
  Throws:
    `java.io.IOException`

### isAjaxRequestInternal

    protected abstract boolean isAjaxRequestInternal(javax.servlet.http.HttpServletRequest request,
                                                     javax.servlet.http.HttpServletResponse response)

### sendAjaxRedirectInternal

    protected abstract void sendAjaxRedirectInternal(java.lang.String targetUrl,
                                                     javax.servlet.http.HttpServletRequest request,
                                                     javax.servlet.http.HttpServletResponse response,
                                                     boolean popup)
                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD